Subject: Re: [nfsv4] minor comments on nfsv4-minorversion2-17

From: "Haynes, Tom" <[email-masked]>
Date: Thu, 14 Mar 2013 03:22:13 +0000

On Feb 17, 2013, at 3:35 PM, Mike Kupfer <[email-masked]> wrote:

> Hi, I was looking over the latest I-D for NFSv4.2, and I have three
> minor editorial comments.
> 
> First, there's some inconsistency in the term for operations that we're
> planning to get rid of.  Sections 5.3 and 13 use "END-OF-LIFE", whereas
> Section 2 uses "OBSOLESCENT".  They should all use the same terminology.

Fixed

> 
> Second, I don't quite understand the phrase "either initialized and
> contain no backing store" in the first sentence of Section 5.3.1.
> Should that be "initialized and contain no backing store" (drop the
> "either")?

        the file which are EITHER 
        initialized and contain no backing store
        OR if the result would appear to be so.

But your point applies for the last sentence in that paragraph.

Also, I rewrote that paragraph, I agree with your sentiment about that
first sentence.

> 
> Third, in the third paragraph of Section 8.1 there's the sentence "A
> client ... SHOULD register a delegation...".  I think "request" would be
> clearer than "register".

Fixed

> 
> regards,
> mike
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4

---

From: Mike Kupfer <[email-masked]>
Date: Fri, 15 Mar 2013 18:10:58 -0700

> > Section 2 uses "OBSOLESCENT".  They should all use the same terminology.

Thanks.   Unfortunately, a couple words got dropped with one of the
changes.

In Section 13, page 55, we have

    The designation of OBSOLESCENT for those operations which are defined

There should be an "is reserved" after "OBSOLESCENT".

> But your point applies for the last sentence in that paragraph.

Oops, right, I got confused about which sentence.

> Also, I rewrote that paragraph, I agree with your sentiment about that

Yeah, the text in -19 is clearer; thanks.

> > client ... SHOULD register a delegation...".  I think "request" would be

Thanks.

Alas, I noticed a few more typos in -19.

* page 76: s/Regardelss/Regardless/

* page 76:

   operations to the server.  The client can use locking operations to
   control the behavior on the server with respect to a long running
   asynchornous write operations.

  s/to a long/to long/
  s/asynchornous/asynchronous/

Finally, I appreciate being added to the list of core reviewers, but I'm
not sure it's appropriate.  To be honest, my understanding of the
technical details in the I-D is quite shallow.  My reviews of the last
few drafts have been more about editorial concerns.  But I'll leave it
to your discretion about whether to leave me in.

cheers,
mike

---

From: "Haynes, Tom" <[email-masked]>
Date: Sat, 16 Mar 2013 01:47:39 +0000

> to your discretion about whether to leave me in.

You have to start somewhere. You have been reading the spec and
finding issues. If that helps clarify it for someone else down the line,
then I am more than happy to give you credit.

Plus, if it serves as incentive for others to read the spec and contribute,
then I get a better doc.

I really appreciate the effort you are putting in.